Get an operating process
curl --request GET \
--url https://useorgx.com/api/v1/operating-processes/{processId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/operating-processes/{processId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/operating-processes/{processId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"process": {
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"name": "Review the launch plan",
"purpose": "Coordinate a launch review from proposal through verified completion.",
"valueRecipientRefs": [
{
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
],
"domainRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"lifecycleState": "discovered",
"currentRevisionRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"accountableResponsibilityLinkRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"provenanceMode": "declared",
"confidence": 0,
"tags": [
"launch-readiness"
],
"createdAt": "2026-08-18T18:30:00.000Z",
"updatedAt": "2026-08-18T18:30:00.000Z"
},
"revisions": [
{
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"processId": "75e02472-b242-4af9-845d-436c040749ed",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"revisionNumber": 1,
"contentDigest": "sha256:aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"authoredBy": {
"type": "human",
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101"
},
"stages": [
{
"key": "review",
"name": "Review"
}
]
}
],
"observedEpisodeIds": [
"observed_episode_ids"
],
"variantIds": [
"variant_ids"
],
"aggregateVersion": 1
},
"meta": {
"apiVersion": "1",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Operating processes
Get an operating process
Get one process with its current revision, lifecycle state, and evidence references.
GET
/
operating-processes
/
{processId}
Get an operating process
curl --request GET \
--url https://useorgx.com/api/v1/operating-processes/{processId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/operating-processes/{processId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/operating-processes/{processId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"process": {
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"name": "Review the launch plan",
"purpose": "Coordinate a launch review from proposal through verified completion.",
"valueRecipientRefs": [
{
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
],
"domainRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"lifecycleState": "discovered",
"currentRevisionRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"accountableResponsibilityLinkRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"provenanceMode": "declared",
"confidence": 0,
"tags": [
"launch-readiness"
],
"createdAt": "2026-08-18T18:30:00.000Z",
"updatedAt": "2026-08-18T18:30:00.000Z"
},
"revisions": [
{
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"processId": "75e02472-b242-4af9-845d-436c040749ed",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"revisionNumber": 1,
"contentDigest": "sha256:aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"authoredBy": {
"type": "human",
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101"
},
"stages": [
{
"key": "review",
"name": "Review"
}
]
}
],
"observedEpisodeIds": [
"observed_episode_ids"
],
"variantIds": [
"variant_ids"
],
"aggregateVersion": 1
},
"meta": {
"apiVersion": "1",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Authorizations
bearerAuthcookieAuth
OrgX API key, sent as Authorization: Bearer oxk_...
